<?php
namespace Claromentis\Search\History;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_cbaf2b940f00a90377b7ceca7c9d1" . "0f9" => base64_decode("aW5jbHVkZV" . "9hZ2dyZWdh" . "dGlvbl9jb3" . "VudA=="), "_9ac0a29384ab8cc29f32ec18bcc0a" . "cda" => base64_decode("aW5jbHV" . "kZV9leG" . "FjdA=="));
use Claromentis\Search\Parameters;
class HistoryParameters extends Parameters
{
    protected bool $include_aggregation_count = false;
    protected bool $include_exact = true;
    public function __construct(array $parameters = [])
    {
        if (!empty($parameters)) {
            $this->InitFromArray($parameters);
        }
    }
    public function InitFromArray($_343a395319323dd7609bcbc465b4d034)
    {
        parent::InitFromArray($_343a395319323dd7609bcbc465b4d034);
        $this->SetIncludeAggregationCount($_343a395319323dd7609bcbc465b4d034[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_cbaf2b940f00a90377b7ceca7c9d" . "10f9"]] ?? false);
        $this->SetIncludeExact($_343a395319323dd7609bcbc465b4d034[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_9ac0a29384ab8cc29" . "f32ec18bcc0acda"]] ?? true);
    }
    
    
    
    
    
    
    
    
    
    
    public function SetIncludeAggregationCount(bool $value)
    {
        $this->include_aggregation_count = $value;
    }
    public function GetIncludeAggregationCount() : bool
    {
        return $this->include_aggregation_count;
    }
    public function SetIncludeExact(bool $value)
    {
        $this->include_exact = $value;
    }
    public function GetIncludeExact() : bool
    {
        return $this->include_exact;
    }
}